Package com.zfabrik.components.provider.util

## Class AbstractComponentRepository<DB extends FSComponentExtRepositoryDB<FSCRDBComponent>>

- java.lang.Object
- - com.zfabrik.components.provider.util.AbstractExtComponentRepository<FSCRDBComponent,​DB>
  - - com.zfabrik.components.provider.util.AbstractComponentRepository<DB>

- All Implemented Interfaces:
    `IComponentsRepository`, `ISynchronizer`

      public abstract class AbstractComponentRepository<DB extends FSComponentExtRepositoryDB<FSCRDBComponent>>
      extends AbstractExtComponentRepository<FSCRDBComponent,​DB>

  A slightly simplified class signature of `AbstractExtComponentRepository` with bound component descriptor implementation type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.zfabrik.components.provider.util.AbstractExtComponentRepository

      `AbstractExtComponentRepository.Repo, AbstractExtComponentRepository.RepoMBean`

  - ### Field Summary

    - ### Fields inherited from class com.zfabrik.components.provider.util.AbstractExtComponentRepository

      `ALL`

    - ### Fields inherited from interface com.zfabrik.components.provider.IComponentsRepository

      `COMPONENT_REPO_IMPLEMENTATION, COMPONENT_REPO_MODE, COMPONENT_REPO_MODE_RELAXED, COMPONENT_REPO_MODE_STRICT`

    - ### Fields inherited from interface com.zfabrik.util.sync.ISynchronizer

      `PRIO, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractComponentRepository​(java.lang.String name, java.lang.Class<DB> clz)` |

  - ### Method Summary

    - ### Methods inherited from class com.zfabrik.components.provider.util.AbstractExtComponentRepository

      `as, checkOfflineMode, complete, configure, configure, configure, download, findComponents, getCacheRoot, getComponent, getContext, getDB, getExpectedConfiguration, getModules, getName, getRevision, getRevision, getURL, has, isRelaxedMode, preInvalidation, preInvalidation, retrieve, scan, setEvictionDelay, start, stop, test_setContext, test_setDb, test_setInited, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.zfabrik.components.provider.IComponentsRepository

      `findComponents, getComponent, getModules, getRevision, retrieve`

- - ### Constructor Detail

    - #### AbstractComponentRepository

          public AbstractComponentRepository​(java.lang.String name,
                                             java.lang.Class<DB> clz)